sayren Docs
스토어프론트 호스팅

스토어프론트 작업 트리 파일 목록

편집 환경이 꺼져 있어도 된다(깨우지 않는다)

GET
/v1/storefront/site/files

편집 환경이 꺼져 있어도 된다(깨우지 않는다)

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Query Parameters

prefix?string

이 접두사로 시작하는 경로만 (예: src/routes/)

Lengthlength <= 256

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/storefront/site/files' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "files": [      {        "path": "string",        "size": 0,        "hash": "string"      }    ],    "totalBytes": 0  },  "error": null}